#ifndef STRING_H
#define STRING_H

#include "Types.h"

class String {
public:
    String();
    operator const char*() const;
    String& append(char c);
    String& append(const char* str);
    void clear();
    bool operator==(const char* str) const;
    
    uint getLength() const;
    
private:
    static const uint LENGTH = 4096;
    uint length;
    char data[LENGTH];
};

#endif