#ifndef VECTOR_H
#define VECTOR_H

struct Vector final {
    Vector(int x = 0, int y = 0);
    
    void set(int x, int y);
    
    bool compare(int x, int y) const;
    Vector& operator+=(const Vector& other);
    Vector operator+(const Vector& other) const;
    Vector operator-(const Vector& other) const;
    bool operator==(const Vector& other) const;
    
    int x;
    int y;

};

#endif